Copyright: ® 1994 Adaptec, Inc.


Help Contents
Contents

AHA-1530P/1532P Configuration Help

Select Host Adapter

AHA-1530P/1532P Configuration Utility

SCSI Parameter Configuration

Host Adapter BIOS Configuration

Host Adapter Information


Select Host Adapter

Select which AHA-1530P/1532P host adapter you want to configure by clicking on the button that represents its port address.

You can install up to two AHA-1530P/1532P host adapters in your PC. Each host adapter is assigned to one of the two available port addresses - 340h and 140h.

Plug and Play assigns a valid port address to each host adapter when you boot your PC. You can assign a port address by changing switch sw4 on the host adapter switch block. The Plug and Play ISA Configuration Utility may override this assignment, however.


AHA-1530P/1532P Configuration Utility

Click on the Proceed button for the group of AHA-1530P/1532P configuration options you want to change, or click on the button next to Host Adapter Information if you want to see information about your host adapter and SCSI configuration.

There are two groups of configuration options:

•	SCSI Parameter Configuration
These options control the use of system resources and the speed and manner in which data is transferred on the SCSI bus. Some options apply only to the host adapter; others can be set individually for each device on the SCSI bus.

•	Host Adapter BIOS Configuration
The first option in this group enables or disables the host adapter BIOS. The other options are only valid if the host adapter BIOS is enabled.


SCSI Parameter Configuration

These SCSI parameters apply to the AHA-1530P/1532P host adapter or to the entire SCSI bus:

•	Interrupt (IRQ) Channel: Selects an interrupt (IRQ) channel for the host adapter. The default is IRQ11. The Plug and Play ISA Configuration Utility assigns interrupt channels to option boards when you boot your PC and may override this value.

•	Host Adapter SCSI ID: Selects a SCSI ID for the host adapter. The default is SCSI ID 7, which has the highest priority on the SCSI bus.

•	SCSI Bus Parity Checking: Enables or disables parity checking on the SCSI bus. The default is enabled. Disable parity checking only if your PC has an older SCSI device (for example, a CD-ROM drive) that does not support it.

•	Host Adapter Termination: Changes the host adapter SCSI termination setting. The default is Auto, which means the host adapter will terminate itself automatically if it is at the end of the SCSI bus. You can also set host adapter termination to Enabled or Disabled.

These SCSI parameters apply to individual devices on the SCSI bus:

•	Initiate Synchronous Negotiation: Enables or disables synchronous negotiation for devices on the SCSI bus. The default is enabled for every device on the bus. Disable synchronous negotiation for a device only if the device does not support it. (Most SCSI devices do support it.)

•	Enable SCSI Disconnection: Controls SCSI disconnection for devices on the SCSI bus. The default is enabled for every device on the SCSI bus.

•	Maximum Synchronous Transfer Rate: Sets the maximum synchronous transfer rate at which data can be transmitted on the SCSI bus. The default is 10 MBytes/sec for every device on the bus. Change the transfer rate to 8, 6.7, or 5 MBytes/sec if you have an older SCSI device that does not support the fast transfer rate.

You can click the Default button at the bottom of the window to reset all the SCSI parameters to their default setting.


Host Adapter BIOS Configuration

•	Host Adapter BIOS: Enables or disables the host adapter BIOS. The default is enabled. When the BIOS is enabled the configuration utility reserves space for the BIOS code in computer memory. The host adapter BIOS must be enabled if you want to boot your PC from a SCSI disk drive attached to the host adapter.

You can also control the BIOS settings with switches sw1, sw2, and sw3 on the host adapter switch block. However, the Plug and Play ISA Configuration Utility may override some of these settings.

These options are only valid if the host adapter BIOS is enabled:

•	Send Start Unit Command: Enables or disables the Start Unit Command for selected devices on the SCSI bus. The default setting is disabled.

•	Support Removable Disks Under BIOS as Fixed Disks: Configures removable media drives supported by the host adapter BIOS. The default is Boot Only (only the removable media drive designated as the boot device is treated as a fixed disk). Other settings are All Disks (all removable media drives supported by the BIOS are treated as fixed disk drives) and Disabled (no removable media drives are treated as fixed disks).

•	Extended Translation for DOS Drives Greater than 1 GByte: Enables or disables extended translation support for SCSI hard disk drives with a capacity greater than one GByte. The default is disabled.

You can click the Default button at the bottom of the window to reset all the SCSI parameters to their default setting.


Host Adapter Information

This screen displays information about the AHA-1530P/1532P host adapter and the SCSI bus. You can read this information, but you cannot change it by typing on the screen.

•	Host Adapter Port Address: The port address used by the AHA-1530P/1532P host adapter.

•	BIOS Address: The location in computer memory where the host adapter BIOS code is stored when the computer is running.

•	Plug and Play Read Data Port: The port address that the Plug and Play software uses to read default information from the host adapter.

•	Plug and Play Card Select Number: The unique number that the Plug and Play software assigns to the host adapter.

•	On Board SCSI Termination: Indicates whether the AHA-1530P/1532P onboard termination is Enabled or Disabled.

•	External SCSI Cable: Indicates whether an external SCSI cable is Present or Not Present in your computer system.

•	Internal SCSI Cable: Indicates whether an internal SCSI cable is Present or Not Present in your computer system.

•	SCSI Bus Termination Status: Indicates whether the SCSI bus is Under-terminated (less than two devices terminated), Properly Terminated (exactly two devices terminated), or Over-terminated (more than two devices terminated).

•	AIC-3350 Revision: The revision level of the AIC-3350 chip included on your host adapter. This chip implements the Plug and Play functionality.


Glossary of Terms

Extended Translation

external SCSI cable

GByte

host adapter BIOS

internal SCSI cable

interrupt (IRQ) channel

ISA Configuration Utility

MByte

parity checking

peripheral device

Plug and Play

port address

SCSI bus

SCSI disconnection

SCSI ID

Start Unit Command

switch block

synchronous negotiation

synchronous transfer rate

system resources

termination


Extended Translation

The translation scheme is the guideline the host adapter uses to read data from a disk device. If the capacity of the disk device is 1 GByte or less, the translation scheme is 64 heads, 32 sectors per track. If the capacity of the disk device is 1 GByte or greater, an Extended Translation scheme of 255 heads, 63 sectors per track is used.


external SCSI cable

The cable that connects external SCSI devices (devices outside of the computer case) to the host adapter's external SCSI connector.


GByte

Gigabyte. A measure of computer storage. One GByte equals 1,073,741,824 bytes. (A byte is the amount of storage needed to hold one character.)


host adapter BIOS

Software coded into a computer chip on the host adapter. The AHA-1530P/1532P onboard BIOS initializes the SCSI bus, runs bootup diagnostics, and performs other functions. BIOS stands for "Basic Input/Output System."


internal SCSI cable

The cable that connects internal SCSI devices (devices inside the computer case) to the host adapter's internal SCSI connector.


interrupt (IRQ) channel

Or "interrupt request channel," or "IRQ." An electrical channel through which a hardware device, such as the host adapter, sends a message to get the immediate attention of the computer's central processing unit (CPU).


ISA Configuration Utility

A software program that enables you use Plug and Play ISA cards such as the AHA-1530P/1532P host adapter in your PC. The ISA Configuration Utility (ICU) assigns and manages IRQ channels, memory addresses, and other system resources.


MByte

Megabyte. A measure of computer storage. One MByte equals 1,048,576 bytes. (A byte is the amount of storage needed to hold one character.)


parity checking

A SCSI feature used to verify whether data has been transmitted correctly over the SCSI bus. A check bit is added to each byte of data to make the sum of all the 1 bits either odd or even, depending on the protocol. If the sum of the bits is even when it should be odd, or vice versa, data has been corrupted and an error message appears.


peripheral device

Any optional input or output device, such as a printer or CD-ROM drive, that connects to a computer's CPU. For SCSI peripheral devices this connection is made via the SCSI bus.


Plug and Play

A hardware and software mechanism that provides an automatic way for a PC to self configure and optimally allocate system resources such as memory, I/O ports, IRQ, and DMA channels between Plug and Play ISA cards and other devices in the PC.


port address

Or I/O Port Address. A window through which software programs communicate with the host adapter board.


SCSI bus

One or more SCSI peripheral devices and a host adapter, connected by cables in a daisychain configuration. The bus may include both internal and external SCSI devices. In a computer with two or more host adapters, each adapter has its own separate SCSI bus.


SCSI disconnection

An option that allows a SCSI device to disconnect temporarily from the SCSI bus while the host adapter is performing operations with other devices on the bus. Data can be transmitted more quickly and efficiently when disconnection is enabled.


SCSI ID

A unique identifier assigned to SCSI devices that enables them to communicate with a computer when they are attached to a host adapter via the SCSI bus. Each AHA-1530P/1532P host adapter board has eight available SCSI IDs, numbered 0 through 7. Usually the host adapter itself is assigned SCSI ID 7, and hard disk devices are assigned to SCSI IDs 0 and 1.


Start Unit Command

A SCSI command that enables devices on the SCSI bus to power up one-at-a-time when you boot your PC. Enabling the Send Start Unit Command option reduces the load on your PC's power supply because the SCSI devices do not power up all at the same time.


switch block

A small bank of switches on a peripheral device, PC motherboard, or add-on board. Changing the switch settings modifies the configuration of the device. AHA-1530P/1532P host adapters have a single switch block that controls the host adapter BIOS, port address, and floppy drive controller.


synchronous negotiation

A SCSI feature that allows the host adapter and SCSI peripherals to communicate with each other and establish the parameters for the transfer of data in synchronous mode on the SCSI bus.


synchronous transfer rate

A high-speed data transfer method in which data on the SCSI bus is clocked with fixed-length, fixed-frequency strobe pulses. The acknowledgments may be delayed several clock periods from the data requests. Synchronous data transfer can be used only for data transmission on the SCSI bus. It cannot be used for Command, Message, and Status transmission.


system resources

The resources such as Interrupt (IRQ) channels, I/O port addresses, and memory addresses that are used by host adapters and other option cards in a PC. If two cards try to use the same resource (for example, the same IRQ channel), one card might not work or the entire PC might not work. Plug and Play prevents such problems by assigning and managing system resources.


termination

A physical requirement of the SCSI bus. The devices at the physical ends of the SCSI bus must have terminating resistors either installed or enabled; devices in the middle of the bus must have terminating resistors either removed or disabled. Proper termination allows electrical signals to be transmitted reliably on the SCSI bus.